### 5.1.20 degree

`Syntax:`
  `degree (` ideal_expression `)`
  `degree (` module_expression `)`
`Type:`
  string
`Purpose:`
  computes the (Krull) dimension and the multiplicity of the ideal, resp. module, generated by the leading monomials of the input and prints it. This is equal to the dimension and multiplicity of the ideal, resp. module, if the input is a standard basis with respect to a degree ordering.
`Example:`

      ring r3=32003,(x,y,z),ds;
      int a,b,c,t=11,10,3,1;
      poly f=x^a+y^b+z^(3*c)+x^(c+2)*y^(c-1)+x^(c-1)*y^(c-1)*z3
        +x^(c-2)*y^c*(y2+t*x)^2;
      ideal i=jacob(f);
      ideal i0=std(i);
      degree(i0);
      ==> // dimension (local)   = 0
      ==> // multiplicity = 314

See dim; ideal; mult; std; vdim.

User manual for Singular version 4.4.1, 2025, generated by texi2html.